{
	"name": "form/local/input/company/company-customer1/layout.json",
	"layout": {
		"component": "nc-root",
		"attribute": {
			"id": "company-customer1"
		},
		"element": [
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"class": ["text-align-start", "nc-too-little-space", "nc-padding-right"],
							"width": "1/2"
						},
						"element": [
							{
								"component": "nc-label-input",
								"text": "Company ID",
								"attribute": {
									"type": "text",
									":disabled": "rec.co_record_id != ''",
									"model": "rec.co.company_id"
								}
							},
							{
								"component": "nc-label-input",
								"text": "Company number",
								"attribute": {
									"type": "text",
									":disabled": "true",
									"model": "rec.co.company_number"
								}
							},
							{
								"component": "nc-label-input",
								"text": "Name",
								"attribute": {
									"type": "text",
									"model": "rec.co.name"
								}
							},
							{
								"component": "nc-label-input",
								"text": "Name 2",
								"attribute": {
									"type": "text",
									"model": "rec.co.name_2"
								}
							},
							{
								"component": "nc-label-input",
								"text": "Address",
								"attribute": {
									"type": "text",
									"model": "rec.co.address"
								}
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "2/6"
								},
								"element": [
									{
										"component": "nc-label",
										"text": "Post office",
										"attribute": {
											"model": "hdr.co.post_office"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "1/6"
								},
								"element": [
									{
										"component": "nc-input",
										"attribute": {
											"type": "text",
											"model": "rec.co.post_code"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"class": ["nc-field-padding"],
									"width": "3/6"
								},
								"element": [
									{
										"component": "nc-input",
										"attribute": {
											"type": "text",
											"model": "rec.co.post_office"
										}
									}
								]
							},
							{
								"component": "nc-label-input",
								"text": "Country",
								"attribute": {
									"type": "text",
									"model": "rec.co.country"
								}
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "1/3"
								},
								"element": [
									{
										"component": "nc-label",
										"attribute": {
											"model": "hdr.co.text_address"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "2/3"
								},
								"element": [
									{
										"component": "nc-textarea",
										"text": "Text address",
										"attribute": {
											"model": "rec.co.text_address",
											"rows": "5"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "1/3"
								},
								"element": [
									{
										"component": "nc-label",
										"text": "Area",
										"attribute": {
											"model": "hdr.co.json_data.area"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "2/3"
								},
								"element": [
									{
										"component": "nc-dropdown",
										"attribute": {
											"model": "rec.co.json_data.area"
										}
									}
								]
							},
							{
								"component": "nc-label-input",
								"text": "Default sales person ID",
								"attribute": {
									"type": "text",
									"model": "rec.co.json_data.default_sales_person_id"
								}
							},
							{
								"component": "nc-label-input",
								"text": "Allowed delivery advance",
								"attribute": {
									"type": "text",
									"model": "rec.co.json_data.allowed_delivery_advance"
								}
							},
							{
								"component": "nc-label-input",
								"text": "Allowed delivery delay",
								"attribute": {
									"type": "text",
									"model": "rec.co.json_data.allowed_delivery_delay"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"class": ["nc-align-top", "text-align-start", "nc-too-little-space", "nc-padding"],
							"width": "1/2"
						},
						"element": [
							{
								"component": "nc-label-input",
								"text": "eMail",
								"attribute": {
									"type": "text",
									"model": "rec.co.email"
								}
							},
							{
								"component": "nc-label-input",
								"text": "WWW",
								"attribute": {
									"type": "text",
									"model": "rec.co.www"
								}
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "2/6"
								},
								"element": [
									{
										"component": "nc-label",
										"text": "Telephone number",
										"attribute": {
											"model": "hdr.co.phone"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "1/6"
								},
								"element": [
									{
										"component": "nc-input",
										"attribute": {
											"type": "text",
											"model": "rec.co.json_data.telephone_area_code"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"class": ["nc-field-padding"],
									"width": "3/6"
								},
								"element": [
									{
										"component": "nc-input",
										"attribute": {
											"type": "text",
											"model": "rec.co.phone"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "2/6"
								},
								"element": [
									{
										"component": "nc-label",
										"text": "Fax number",
										"attribute": {
											"model": "hdr.co.json_data.fax_number"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "1/6"
								},
								"element": [
									{
										"component": "nc-input",
										"attribute": {
											"type": "text",
											"model": "rec.co.json_data.fax_area_code"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"class": ["nc-field-padding"],
									"width": "3/6"
								},
								"element": [
									{
										"component": "nc-input",
										"attribute": {
											"type": "text",
											"model": "rec.co.json_data.fax_number"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "1/3"
								},
								"element": [
									{
										"component": "nc-label",
										"text": "Group",
										"attribute": {
											"model": "hdr.co.json_data.group_1"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "2/3"
								},
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "1/3"
										},
										"element": [
											{
												"component": "nc-dropdown",
												"attribute": {
													"model": "rec.company-customer.group1"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "1/3"
										},
										"element": [
											{
												"component": "nc-dropdown",
												"attribute": {
													"model": "rec.company-customer.group2",
													"nc-disabled": "true"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "1/3"
										},
										"element": [
											{
												"component": "nc-dropdown",
												"attribute": {
													"model": "rec.company-customer.group3"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "1/3"
								},
								"element": [
									{
										"component": "nc-label",
										"text": "Type",
										"attribute": {
											"model": "hdr.co.company_type"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "2/3"
								},
								"element": [
									{
										"component": "nc-dropdown",
										"attribute": {
											"model": "rec.co.company_type"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "1/3"
								},
								"element": [
									{
										"component": "nc-label",
										"text": "State",
										"attribute": {
											"model": "hdr.co.company_state"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "2/3"
								},
								"element": [
									{
										"component": "nc-dropdown",
										"attribute": {
											"model": "rec.co.company_state"
										}
									}
								]
							},
							{
								"component": "nc-label-input",
								"text": "Price group",
								"attribute": {
									"type": "text",
									"model": "rec.co.json_data.price_group"
								}
							},
							{
								"component": "nc-label-input",
								"text": "Invoice",
								"attribute": {
									"type": "text",
									"model": "rec.co.invoicing_company_id"
								}
							},
							{
								"component": "nc-label-input",
								"text": "Delivery company ID",
								"attribute": {
									"type": "text",
									"model": "rec.co.delivery_company_id"
								}
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "4/12"
								},
								"element": [
									{
										"component": "nc-label",
										"text": "Terms of payment",
										"attribute": {
											"model": "hdr.co.terms_of_payment_id"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "3/12"
								},
								"element": [
									{
										"component": "nc-input",
										"attribute": {
											"type": "text",
											"model": "rec.co.terms_of_payment_id"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"class": ["nc-field-padding"],
									"width": "5/12"
								},
								"element": [
									{
										"component": "nc-input",
										"attribute": {
											"type": "text",
											":disabled": "true",
											"model": "rec._var.co_terms_of_payment_id"
										}
									}
								]
							},
							{
								"component": "nc-label-input",
								"text": "Currency ID",
								"attribute": {
									"type": "text",
									"model": "rec.co.currency_id"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"class": ["text-align-start", "nc-too-little-space"],
							"width": "1/1"
						},
						"element": [
							{
								"component": "nc-col",
								"attribute": {
									"width": "1/4"
								}
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "1/4"
								},
								"element": [
									{
										"component": "nc-checkbox",
										"attribute": {
											"model": "rec.co.json_data.is_collection_invoice"
										},
										"element": [
											{
												"component": "nc-translate",
												"text": "Is collection invoice",
												"attribute": {
													"model": "hdr.co.json_data.is_collection_invoice"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "1/4"
								},
								"element": [
									{
										"component": "nc-checkbox",
										"attribute": {
											"model": "rec.co.json_data.foreign_company"
										},
										"element": [
											{
												"component": "nc-translate",
												"text": "Foreign company",
												"attribute": {
													"model": "hdr.co.json_data.foreign_company"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "1/4"
								},
								"element": [
									{
										"component": "nc-checkbox",
										"attribute": {
											"model": "rec.co.json_data.foreign_sales_price_in_use"
										},
										"element": [
											{
												"component": "nc-translate",
												"text": "Foreign sales price in use",
												"attribute": {
													"model": "hdr.co.json_data.foreign_sales_price_in_use"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "1/6"
								},
								"element": [
									{
										"component": "nc-label",
										"text": "Info",
										"attribute": {
											"model": "hdr.co.info"
										}
									}
								]
							},
							{
								"component": "nc-col",
								"attribute": {
									"width": "5/6"
								},
								"element": [
									{
										"component": "nc-textarea",
										"attribute": {
											"model": "rec.co.info",
											"rows": "6"
										}
									}
								]
							}
						]
					}
				]
			}
		]
	}
}
